Author Topic: [OVER] New Public XTS Test for Developers and Savvy Users  (Read 52313 times)

0 Members and 1 Guest are viewing this topic.

Offline toast

  • Hero Member
  • *****
  • Posts: 4001
    • View Profile
  • BitShares: nikolai
recompiled on debian with gcc 4.8, libdb 5.3, boost 1.54 (same as ubuntu), still can't connect...

Try now. I had pushed bad changes, it may simply be that you were force disconnecting nodes since the validation was different
Do not use this post as information for making any important decisions. The only agreements I ever make are informal and non-binding. Take the same precautions as when dealing with a compromised account, scammer, sockpuppet, etc.

Offline wackou

recompiled on debian with gcc 4.8, libdb 5.3, boost 1.54 (same as ubuntu), still can't connect...
Please vote for witness wackou! More info at http://digitalgaia.io

Offline toast

  • Hero Member
  • *****
  • Posts: 4001
    • View Profile
  • BitShares: nikolai
I might have broken the build... hold tight
Do not use this post as information for making any important decisions. The only agreements I ever make are informal and non-binding. Take the same precautions as when dealing with a compromised account, scammer, sockpuppet, etc.

Offline wackou

Actually, it seems like boost wasn't the culprit at all...

Just recompiled with boost 1.54 on debian, both on the machine with a public ip and my virtual box, and they still can't connect. Ubuntu on the same virtualbox can connect. So it must be something else, I'll try to investigate.
Please vote for witness wackou! More info at http://digitalgaia.io

Offline bytemaster

boost seems the culprit, we require 1.54

Do you know why 1.54 is required? Is it because of this issue or sth else? Is it something in boost::asio?

I'd like to try to fix bitshares to be able to use 1.55 rather than use a fixed version of boost (although 1.54 is available in testing)

It should work with all 1.54 or newer versions.  If there is something in 1.55 that is causing an issue it is a bug to be fixed.
For the latest updates checkout my blog: http://bytemaster.bitshares.org
Anything said on these forums does not constitute an intent to create a legal obligation or contract between myself and anyone else.   These are merely my opinions and I reserve the right to change them at any time.

Offline wackou

boost seems the culprit, we require 1.54

Do you know why 1.54 is required? Is it because of this issue or sth else? Is it something in boost::asio?

I'd like to try to fix bitshares to be able to use 1.55 rather than use a fixed version of boost (although 1.54 is available in testing)
Please vote for witness wackou! More info at http://digitalgaia.io

Offline toast

  • Hero Member
  • *****
  • Posts: 4001
    • View Profile
  • BitShares: nikolai
validate_address is deprecated, says Dan.

To validate your own address I think you should be able to "wallet_create_sending_address" for yourself
^^ yep this works, do your own addresses validate?
« Last Edit: May 29, 2014, 05:12:53 pm by toast »
Do not use this post as information for making any important decisions. The only agreements I ever make are informal and non-binding. Take the same precautions as when dealing with a compromised account, scammer, sockpuppet, etc.

Offline sudo

  • Hero Member
  • *****
  • Posts: 2255
    • View Profile
  • BitShares: ags
@xeroc try using a fresh debian but use "apt-get install libboost1.54-dev libboost1.54-dev-all"
The "BUILD_UBUNTU.md" really is just for ubuntu =P

@sudo This testnet does not have any of the snapshot keys


seem can‘t use  the command  "validate_address"


jerry (locked) >>> validate_address XTS2UyMMa3DcyX697GvjVdMTqLyJjHd3UFT5G8jzMiBTH673gmvqX8nhcJhAxDXaN8Nj5MK996asuZGmbScGtRiNH9YNSuztn
Usage:
validate_address <address>                                                                            Return information about given BitShares address

TODO: bitcoin supports all below info

Arguments:
1. "bitsharesaddress" (string, required) The BitShares address to validate

Result:
{
"isvalid" : true|false, (boolean) If the address is valid or not. If not, this is the only property returned.
"address" : "bitsharesaddress", (string) The BitShares address validated
"ismine" : true|false, (boolean) If the address is yours or not
"isscript" : true|false, (boolean) If the key is a script
"pubkey" : "publickeyhex", (string) The hex value of the raw public key
"iscompressed" : true|false, (boolean) If the address is compressed
"account" : "account" (string) The account associated with the address, "" is the default account
}

Examples:
> bitshares-cli validate_address "1PSSGeFHDnKNxiEyFrD1wcEaHr9hrQDDWc"
> curl --user myusername --data-binary '{"jsonrpc": "1.0", "id":"curltest", "method": "validate_address", "params": ["1PSSGeFHDnKNxiEyFrD1wcEaHr9hrQDDWc"] }' -H 'content-type: text/plain;' http://127.0.0.1:8332/
jerry (locked) >>>

------------
bitshares-cli
Error: invalid command "bitshares-cli"
« Last Edit: May 29, 2014, 04:53:57 pm by sudo »

Offline toast

  • Hero Member
  • *****
  • Posts: 4001
    • View Profile
  • BitShares: nikolai
@xeroc try using a fresh debian but use "apt-get install libboost1.54-dev libboost1.54-dev-all"
The "BUILD_UBUNTU.md" really is just for ubuntu =P

@sudo This testnet does not have any of the snapshot keys
Do not use this post as information for making any important decisions. The only agreements I ever make are informal and non-binding. Take the same precautions as when dealing with a compromised account, scammer, sockpuppet, etc.

Offline sudo

  • Hero Member
  • *****
  • Posts: 2255
    • View Profile
  • BitShares: ags
wallet_import_bitcoin wallet.dat  =>  balance still 0

myaddress  XTS2UyMMa3DcyX697GvjVdMTqLyJjHd3UFT5G8jzMiBTH673gmvqX8nhcJhAxDXaN8Nj5MK996asuZGmbScGtRiNH9YNSuztn


jerry (unlocked) >>> getinfo
{
  "blockchain_asset_reg_fee": 301988160,
  "blockchain_asset_shares_max": 1000000000000000,
  "blockchain_bips_per_share": 12.500000796877082,
  "blockchain_block_fee_min": 1,
  "blockchain_block_interval": 30,
  "blockchain_block_num": 11166,
  "blockchain_block_size_max": 209715,
  "blockchain_block_size_target": 104857,
  "blockchain_delegate_fire_votes_min": 11428571428571,
  "blockchain_delegate_num": 7,
  "blockchain_delegate_reg_fee": 43141165,
  "blockchain_delegate_reward_min": 200,
  "blockchain_id": "ed2c3dba64a343002734f782bb3bc831a99a14c80490b85bfbf33751793469cc",
  "blockchain_name_size_max": 63,
  "blockchain_name_data_size_max": 4096,
  "blockchain_random_seed": "d89955464899f3a2aba584517c098e8db875430e",
  "blockchain_shares": 79999994899987,
  "blockchain_size_max": 107374182400,
  "blockchain_symbol": "XTS",
  "blockchain_version": 100,
  "client_httpd_port": 5680,
  "client_rpc_port": 5679,
  "network_num_connections": 2,
  "network_num_connections_max": 12,
  "network_protocol_version": 100,
  "wallet_balance": 0,
  "wallet_balance_bips": 0,
  "wallet_open": true,
  "wallet_unlocked_until": "20140529T164233",
  "wallet_version": 100,
  "_bitshares_toolkit_revision": "70766ff1b1c737b988c9d27f9f4802984ba388b7",
  "_fc_revision": "54c66bbb86770d5d166c8b172b2658e9103e37cb",
  "_network_node_id": "c75c695cbd7d44adc4261aed7a2ad170efc063b0"
}

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12920
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BitShares: xeroc
  • GitHub: xeroc
Try my node: network_add_node "113.80.228.217:5678" add
Same negative result. I am pretty sure there is some library fuckup :-(

Offline mauritso

  • Full Member
  • ***
  • Posts: 64
    • View Profile
Code: [Select]
XTS2JBkPPFXd1FLNsjsfhpQSCc1JW72NqxW21SPNzcRUaqaxQvu1dhwHZkeAiAGS56mxYzPyyzp7V4wQPeabmDrcnmuZeDyJN
Got it running, can I have some "testnet" funds?
BTS: maurits

Offline muse-umum

  • Hero Member
  • *****
  • Posts: 717
  • BitShares everything
    • View Profile
boost seems the culprit, we require 1.54
+5% in correlation

Have
+public ip
+debian
+boost 1.55
+cannot connect :-(

Try my node: network_add_node "113.80.228.217:5678" add

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12920
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BitShares: xeroc
  • GitHub: xeroc
boost seems the culprit, we require 1.54
+5% in correlation

Have
+public ip
+debian
+boost 1.55
+cannot connect :-(

Offline toast

  • Hero Member
  • *****
  • Posts: 4001
    • View Profile
  • BitShares: nikolai
ok, so:
- debian in a vbox doesn't connect
- ubuntu in a vbox does connect

so it must be something with the difference in dependencies... Maybe boost? (debian: 1.55, ubuntu: 1.54)

I'll try to investigate more if I can find some time to look into that.

boost seems the culprit, we require 1.54
Do not use this post as information for making any important decisions. The only agreements I ever make are informal and non-binding. Take the same precautions as when dealing with a compromised account, scammer, sockpuppet, etc.